Atk::Relation Class Reference

An Atk::Relation describes a relation between an object and one or more other objects. More...

`#include <atkmm/relation.h>`

Inheritance diagram for Atk::Relation:
[legend]

## Public Member Functions

| Relation (Relation&& src) noexcept
Relation& | operator= (Relation&& src) noexcept
virtual | ~Relation () noexcept
AtkRelation* | gobj ()
| Provides access to the underlying C GObject. More...
const AtkRelation* | gobj () const
| Provides access to the underlying C GObject. More...
AtkRelation* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs. More...
RelationType | get_relation_type () const
| Gets the type of relation. More...
Glib::ArrayHandle< Glib::RefPtr< Atk::Object > > | get_target ()
Glib::ArrayHandle< Glib::RefPtr< const Atk::Object > > | get_target () const
void | add_target (const Glib::RefPtr< Atk::Object >& target)
| Adds the specified AtkObject to the target for the relation, if it is not already present. More...
Public Member Functions inherited from Glib::Object
| Object (const Object &)=delete
Object & | operator= (const Object &)=delete
| Object (Object &&src) noexcept
Object & | operator= (Object &&src) noexcept
void * | get_data (const QueryQuark &key)
void | set_data (const Quark &key, void *data)
void | set_data (const Quark &key, void *data, DestroyNotify notify)
void | remove_data (const QueryQuark &quark)
void * | steal_data (const QueryQuark &quark)
Glib::RefPtr< Glib::Object > | wrap (GObject *object, bool take_copy=false)
Public Member Functions inherited from Glib::ObjectBase
| ObjectBase (const ObjectBase &)=delete
ObjectBase & | operator= (const ObjectBase &)=delete
void | set_property_value (const Glib::ustring &property_name, const Glib::ValueBase &value)
void | get_property_value (const Glib::ustring &property_name, Glib::ValueBase &value) const
void | set_property (const Glib::ustring &property_name, const PropertyType &value)
void | get_property (const Glib::ustring &property_name, PropertyType &value) const
void | connect_property_changed (const Glib::ustring &property_name, const sigc::slot< void > &slot)
sigc::connection | connect_property_changed_with_return (const Glib::ustring &property_name, const sigc::slot< void > &slot)
void | freeze_notify ()
void | thaw_notify ()
virtual void | reference () const
virtual void | unreference () const
GObject * | gobj ()
const GObject * | gobj () const
GObject * | gobj_copy () const
Public Member Functions inherited from sigc::trackable
| trackable () noexcept
| trackable (const trackable &src) noexcept
| trackable (trackable &&src)
| ~trackable ()
void | add_destroy_notify_callback (void *data, func_destroy_notify func) const
void | notify_callbacks ()
trackable & | operator= (const trackable &src)
trackable & | operator= (trackable &&src)
void | remove_destroy_notify_callback (void *data) const

## Static Public Member Functions

static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system. More...
static Glib::RefPtr< Relation > | create (const Glib::ArrayHandle< Glib::RefPtr< Atk::Object > >& targets, RelationType relationship=RELATION_NULL)

## Protected Member Functions

| Relation (const Glib::ArrayHandle< Glib::RefPtr< Atk::Object > >& targets, RelationType relationship)
Protected Member Functions inherited from Glib::Object
| Object ()
| Object (const Glib::ConstructParams &construct_params)
| Object (GObject *castitem)
virtual | ~Object () noexcept
Protected Member Functions inherited from Glib::ObjectBase
| ObjectBase ()
| ObjectBase (const char *custom_type_name)
| ObjectBase (const std::type_info &custom_type_info)
| ObjectBase (ObjectBase &&src) noexcept
ObjectBase & | operator= (ObjectBase &&src) noexcept
virtual | ~ObjectBase () noexcept=0
void | initialize (GObject *castitem)
void | initialize_move (GObject *castitem, Glib::ObjectBase *previous_wrapper)

## Related Functions

(Note that these are not member functions.)
Glib::RefPtr< Atk::Relation > | wrap (AtkRelation* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...

## Additional Inherited Members

Public Types inherited from Glib::Object
typedef void(* | DestroyNotify) (gpointer data)
Public Types inherited from sigc::trackable
typedef internal::func_destroy_notify | func_destroy_notify

## Detailed Description

An Atk::Relation describes a relation between an object and one or more other objects.

The actual relations that an object has with other objects are defined as an Atk::RelationSet, which is a set of Atk::Relations.

## Constructor & Destructor Documentation

Atk::Relation::Relation | ( | Relation&& | src | ) |

noexcept

virtual Atk::Relation::~Relation | ( |  | ) |

virtual noexcept

Atk::Relation::Relation | ( | const Glib::ArrayHandle< Glib::RefPtr< Atk::Object > >& | targets,
|  | RelationType | relationship
| ) |  |

explicit protected

## Member Function Documentation

void Atk::Relation::add_target | ( | const Glib::RefPtr< Atk::Object >& | target | ) |

Adds the specified AtkObject to the target for the relation, if it is not already present.

See also Atk::Object::add_relationship().

Since atkmm 1.9:

Parameters

  target | An Atk::Object.

static Glib::RefPtr<Relation> Atk::Relation::create | ( | const Glib::ArrayHandle< Glib::RefPtr< Atk::Object > >& | targets,
|  | RelationType | relationship = `RELATION_NULL`
| ) |  |

static

RelationType Atk::Relation::get_relation_type | ( |  | ) | const

Gets the type of relation.

Returns
  The type of relation.

Glib::ArrayHandle< Glib::RefPtr<Atk::Object> > Atk::Relation::get_target | ( |  | ) |

Glib::ArrayHandle< Glib::RefPtr<const Atk::Object> > Atk::Relation::get_target | ( |  | ) | const

static GType Atk::Relation::get_type | ( |  | ) |

static

Get the GType for this class, for use with the underlying GObject type system.

AtkRelation* Atk::Relation::gobj | ( |  | ) |

inline

Provides access to the underlying C GObject.

const AtkRelation* Atk::Relation::gobj | ( |  | ) | const

inline

Provides access to the underlying C GObject.

AtkRelation* Atk::Relation::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

Relation& Atk::Relation::operator= | ( | Relation&& | src | ) |

noexcept

## Friends And Related Function Documentation

Glib::RefPtr< Atk::Relation > wrap | ( | AtkRelation * | object,
|  | bool | take_copy = `false`
| ) |  |

related

A Glib::wrap() method for this object.

Parameters

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns
  A C++ instance that wraps this C instance.